

/*

	Hotpage version 0.4
	
	Copyright (c) 1997 Kazuhiro Sakai
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Please contact the author if you wish to use hotpage in
	ways not covered by the GNU GPL.

	You may contact the author by e-mail at: kazuhiro@itis.com or
	ksakai1@students.wisc.edu. Please visit my homepage to check update
	version. 
	http://userpages.itis.com/kazuhiro/ or 
	http://www.cs.wisc.edu/~kazuhiro/
*/	                                                                
	                                                                
#include "hotpage.h"

main(int argc,char **argv)
{
	xv_init(XV_INIT_ARGC_PTR_ARGV,&argc,argv,XV_USE_LOCALE,TRUE,NULL);
	
	Hot_parent = create_parent(NULL,NULL);
	Hot_info   = create_info(NULL,Hot_parent->frame);
	Hot_add    = create_entry(NULL,Hot_parent->frame);
	Hot_edit   = create_entry(NULL,Hot_parent->frame);
	Hot_name_search    = create_name_search(NULL,Hot_parent->frame);
	Hot_phone_search   = create_phone_search(NULL,Hot_parent->frame);
	Hot_address_search = create_address_search(NULL,Hot_parent->frame);
	Hot_dial   = create_dial(NULL,Hot_parent->frame);
	xv_set(xv_get(Hot_parent->new,FILE_CHOOSER_CHILD,FILE_CHOOSER_SAVE_BUTTON_CHILD),PANEL_LABEL_STRING,"Open",NULL);
	xv_set(xv_get(Hot_parent->new,FILE_CHOOSER_CHILD,FILE_CHOOSER_DOCUMENT_NAME_CHILD),PANEL_LABEL_STRING,"New File",NULL);
	xv_set(Hot_add->frame,FRAME_LABEL,"Add Entry",NULL);
	xv_set(Hot_edit->frame,FRAME_LABEL,"Edit Entry",NULL);
	xv_set(Hot_edit->addmore,XV_SHOW,FALSE,NULL);
	xv_set(Hot_add->panel,XV_KEY_DATA,UPDATE_TYPE,UPDATE_NEW,NULL);
	xv_set(Hot_edit->panel,XV_KEY_DATA,UPDATE_TYPE,UPDATE_EDIT,NULL);

	strcpy(modem_setting_file,(char *)getenv("HOME"));
	strcat(modem_setting_file,MODEM_SETTING_FILE);
	
	open_modem_setting_file();
		
	xv_main_loop(Hot_parent->frame);
}
